Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Interface IDocumentProviderExtension2

All Known Implementing Classes:
  AbstractDocumentProvider, FileDocumentProvider, ForwardingDocumentProvider, StorageDocumentProvider, TextFileDocumentProvider, TextFileDocumentProvider.NullProvider

    public interface IDocumentProviderExtension2

Extension interface for `IDocumentProvider`. It adds the following functions:

- global temporary progress monitor

Since:
  2.1

Method Summary
`IProgressMonitor` `getProgressMonitor()` Returns this providers progress monitor.
`void` `setProgressMonitor(IProgressMonitor progressMonitor)` Sets this providers progress monitor.

Method Detail

### setProgressMonitor

    void setProgressMonitor(IProgressMonitor progressMonitor)

  Sets this providers progress monitor.

  Parameters:
    `progressMonitor` - the progress monitor

### getProgressMonitor

    IProgressMonitor getProgressMonitor()

  Returns this providers progress monitor.

  Returns:
    IProgressMonitor

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.